> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artificialstudio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Retrieve your account details, including credits balance and current plan.

Retrieve your account details, including credits balance and plan.

### Response Fields

| Field | Type | Description |
| - | - | - |
| `id` | string | User ID |
| `email` | string | Account email |
| `credits` | number | Available credits |
| `plan` | string | Current plan: `free` or `pro` |
| `createdAt` | string | Account creation date |

<RequestExample>
  ```bash bash theme={null}
  curl https://api.artificialstudio.ai/api/account \
    -H "Authorization: YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.artificialstudio.ai/api/account', {
    headers: { 'Authorization': 'YOUR_API_KEY' }
  });

  const account = await response.json();
  console.log(`Credits: ${account.credits}`);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.artificialstudio.ai/api/account',
      headers={'Authorization': 'YOUR_API_KEY'}
  )

  account = response.json()
  print(f"Credits: {account['credits']}")
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "507f1f77bcf86cd799439011",
    "email": "user@example.com",
    "credits": 1500,
    "plan": "pro",
    "createdAt": "2024-01-15T10:30:00.000Z"
  }
  ```

  ```json 401 theme={null}
  {
    "message": "Invalid or missing API key"
  }
  ```

  ```json 429 theme={null}
  {
    "message": "Too many API requests, please try again later"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.